<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: namelist_m::delete_name Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacenamelist__m.html">namelist_m</a></li><li class="navelem"><a class="el" href="interfacenamelist__m_1_1delete__name.html">delete_name</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="interfacenamelist__m_1_1delete__name-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">namelist_m::delete_name Interface Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for namelist_m::delete_name:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="interfacenamelist__m_1_1delete__name__coll__graph.png" border="0" usemap="#namelist__m_1_1delete__name_coll__map" alt="Collaboration graph"/></div>
<map name="namelist__m_1_1delete__name_coll__map" id="namelist__m_1_1delete__name_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a70d40d27c21d7d09cd4c6ba30aae652d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacenamelist__m_1_1delete__name.html#a70d40d27c21d7d09cd4c6ba30aae652d">delete_name_ext_ptr</a> (del_var, first_var)</td></tr>
<tr class="separator:a70d40d27c21d7d09cd4c6ba30aae652d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21797d6dd59707840cc71d85ed0ea75d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacenamelist__m_1_1delete__name.html#a21797d6dd59707840cc71d85ed0ea75d">delete_name_ext_name</a> (first_var, name)</td></tr>
<tr class="separator:a21797d6dd59707840cc71d85ed0ea75d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3402ff17b9e366c065e856484d35fa39"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacenamelist__m_1_1delete__name.html#a3402ff17b9e366c065e856484d35fa39">delete_name_base_name</a> (first_var, name)</td></tr>
<tr class="separator:a3402ff17b9e366c065e856484d35fa39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7c7dad18252bf1a69669ff04d432475"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacenamelist__m_1_1delete__name.html#ac7c7dad18252bf1a69669ff04d432475">delete_name_base_ptr</a> (del_var, first_var)</td></tr>
<tr class="separator:ac7c7dad18252bf1a69669ff04d432475"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function/Subroutine Documentation</h2>
<a id="a3402ff17b9e366c065e856484d35fa39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3402ff17b9e366c065e856484d35fa39">&#9670;&nbsp;</a></span>delete_name_base_name()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine namelist_m::delete_name::delete_name_base_name </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac7c7dad18252bf1a69669ff04d432475"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7c7dad18252bf1a69669ff04d432475">&#9670;&nbsp;</a></span>delete_name_base_ptr()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine namelist_m::delete_name::delete_name_base_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), pointer&#160;</td>
          <td class="paramname"><em>del_var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structnamelist__m_1_1name__t.html">name_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_var</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a21797d6dd59707840cc71d85ed0ea75d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21797d6dd59707840cc71d85ed0ea75d">&#9670;&nbsp;</a></span>delete_name_ext_name()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine namelist_m::delete_name::delete_name_ext_name </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structnamelist__m_1_1name__ext__t.html">name_ext_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a70d40d27c21d7d09cd4c6ba30aae652d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70d40d27c21d7d09cd4c6ba30aae652d">&#9670;&nbsp;</a></span>delete_name_ext_ptr()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine namelist_m::delete_name::delete_name_ext_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structnamelist__m_1_1name__ext__t.html">name_ext_t</a>), pointer&#160;</td>
          <td class="paramname"><em>del_var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structnamelist__m_1_1name__ext__t.html">name_ext_t</a>), pointer&#160;</td>
          <td class="paramname"><em>first_var</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li><a class="el" href="namelist__m_8f90.html">namelist_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
